/////////////Librerías de babylon usadas en este proyecto////////////
/// <reference path="./Babylon js/babylon.js" />
/// <reference path="./Babylon js/babylon.d.ts" />
/// <reference path="./Babylon js/babylon.gui.d.ts" />
/// <reference path="./Babylon js/babylon.inspector.bundle.js" />
/// <reference path="./Babylon js/babylonjs.loaders.min.js" />
/// <reference path="./Babylon js/cannon.js" />
/// <reference path="./Babylon js/ammo.js" />
////////////////////////////////////////////////////////////////////


import {SceneOne} from "./SceneOne";

class Main
{
    public static Main():void
    {
        let renderCanvas:HTMLCanvasElement = document.getElementById("renderCanvas") as HTMLCanvasElement;
        let engine:BABYLON.Engine = new BABYLON.Engine(renderCanvas,true);

        let newScene:SceneOne = new SceneOne(engine,renderCanvas);
        
        
        //RUN RENDER LOOP
        engine.runRenderLoop(function()
        {
            newScene.scene.render();
        })

        console.log("Funciona perfectamente la herencía");
    }
}



Main.Main();
