
/////////////Librerías de babylon usadas en este proyecto////////////
/// <reference path="./Babylon js/babylon.js" />
/// <reference path="./Babylon js/babylon.d.ts" />
/// <reference path="./Babylon js/babylon.gui.d.ts" />
/// <reference path="./Babylon js/babylon.inspector.bundle.js" />
/// <reference path="./Babylon js/babylonjs.loaders.min.js" />
/// <reference path="./Babylon js/cannon.js" />
/// <reference path="./Babylon js/ammo.js" />
///////////////////////////////////////////////////////////////////

export class Sphere {
    private _sphere: BABYLON.Mesh;
    private _position: BABYLON.Vector3;
    

    constructor(scene:BABYLON.Scene)
    {
        this._sphere = this.CreateSphere(scene);
        this._position = this._sphere.position;
    }
    public CreateSphere(scene:BABYLON.Scene):BABYLON.Mesh
    {
        let Sphere:BABYLON.Mesh = BABYLON.MeshBuilder.CreateSphere("sphere", {diameter:2}, scene);
        return Sphere;
    }
    public get position(): BABYLON.Vector3 {
        return this._position;
    }
    public set position(value: BABYLON.Vector3) {
        this._position = value;
    }
    public get sphere(): BABYLON.Mesh {
        return this._sphere;
    }
    public set sphere(value: BABYLON.Mesh) {
            this._sphere = value;
    }
    

}