"use strict";
/////////////Librerías de babylon usadas en este proyecto////////////
/// <reference path="./Babylon js/babylon.js" />
/// <reference path="./Babylon js/babylon.d.ts" />
/// <reference path="./Babylon js/babylon.gui.d.ts" />
/// <reference path="./Babylon js/babylon.inspector.bundle.js" />
/// <reference path="./Babylon js/babylonjs.loaders.min.js" />
/// <reference path="./Babylon js/cannon.js" />
/// <reference path="./Babylon js/ammo.js" />
///////////////////////////////////////////////////////////////////
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sphere = void 0;
var Sphere = /** @class */ (function () {
    function Sphere(scene) {
        this._sphere = this.CreateSphere(scene);
        this._position = this._sphere.position;
    }
    Sphere.prototype.CreateSphere = function (scene) {
        var Sphere = BABYLON.MeshBuilder.CreateSphere("sphere", { diameter: 2 }, scene);
        return Sphere;
    };
    Object.defineProperty(Sphere.prototype, "position", {
        get: function () {
            return this._position;
        },
        set: function (value) {
            this._position = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Sphere.prototype, "sphere", {
        get: function () {
            return this._sphere;
        },
        set: function (value) {
            this._sphere = value;
        },
        enumerable: false,
        configurable: true
    });
    return Sphere;
}());
exports.Sphere = Sphere;
